Subject: Re: how to list commits on branch since last merge

From: Michael J Gruber <[email-masked]>
Date: Tue, 08 Mar 2011 11:25:47 +0100

Jay Soffian venit, vidit, dixit 08.03.2011 11:11:
> On Tue, Mar 8, 2011 at 4:48 AM, Michael J Gruber
> <[email-masked]> wrote:
>> You mean shorter than:
>>
>> git rev-list --merges -1 $(git merge-base foo bar)
>>
>> Or maybe I'm misunderstanding "contain".
> 
> Going back to my original picture, I mean commit m:
> 
>   o---o---x---o---...    foo
>    \       \
>     o---o---m---o---...  bar
> 
> merge-base foo bar gives me x; to get m I then need to grep the output
> of rev-list --parents for x.
> 
> j.

Maybe

git rev-list --ancestry-path --merges $(git merge-base foo bar)..bar

or, with the patch in pu

git rev-list --ancestry-path --merges --right-only foo...bar

each piped into tail -1 ?

Michael